Subject: bug#67596: Redshift Service Fails Under Wayland

From: Jaft <[email-masked]>
Date: Sun, 3 Dec 2023 06:12:22 +0000 (UTC)

I'm running an XWayland environment and have discovered that using the redshift-wayland package with it fails.
It was suggested to me that the requirement for X11 was likely part of the problem so I tried removing (requirement '(x11-display)) fromredshift-shepherd-service but that resulted in an error from string-append (trying to append #f).

So I commented out the adjustment of the DISPLAY variable in #:environment-variables and that resulted in, finally, no errors but
Redshift, nevertheless, failing.

Since the environment variable was returning #f, I hardcoded it to "0:0" (I haven't tested if this works without the DISPLAY variable) and set WAYLAND_DISPLAY to "wayland-1" and that seems to've done the trick.
I'm not sure how this would be adjusted but it seems a Wayland option need to added to the service so non-X environments can, also, utilize the service.